FROM amd64/debian:stretch

RUN apt-get update && \
    apt-get install -y \
      dovecot-antispam \
      dovecot-core \
      dovecot-imapd \
      dovecot-ldap \
      dovecot-managesieved \
      dovecot-sieve \
      dovecot-lmtpd && \
    rm -rf /etc/dovecot/*
RUN useradd mailstore
COPY ./conf/* /etc/dovecot/
COPY entrypoint.sh /usr/local/bin/entrypoint

ENTRYPOINT ["/usr/local/bin/entrypoint"]
